%define name    giblib
%define version 1.2.4
%define release %mkrel 9
%define major   1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %name

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Simple library and a wrapper for imlib2
License:        GPL
Group:          System/Libraries
URL:            http://linuxbrit.co.uk/giblib
Source:         http://linuxbrit.co.uk/downloads/%{name}-%{version}.tar.bz2
BuildRequires:  imlib2-devel
BuildRequires:  freetype-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
giblib is a utility library used by many of the applications from
linuxbrit.co.uk. It incorporates doubly linked lists, some string
functions, and a wrapper for imlib2. The wrapper does two things.
It gives you access to fontstyles, which can be loaded from files,
saved to files or defined dynamically through the API. It also,
and more importantly, wraps imlib2's context API.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run %{name}.

%package -n %{develname}
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}giblib1-devel < %{version}-%{release}

%description -n %{develname}
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}%{_prefix}/doc
chmod 644 %{buildroot}%{_libdir}/lib%{name}.la
%multiarch_binaries %{buildroot}%{_bindir}/%{name}-config

%clean
rm -rf %{buildroot}

%files -n %libname
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %develname
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/%{name}-config
%{_bindir}/%{name}-config
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.4-9.mga3
+ Revision: 351543
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 22 2011 dmorgan <dmorgan> 1.2.4-8.mga1
+ Revision: 56432
- Remove mdv macros
- imported package giblib

